Create Report

Prev Next
Post
/api/v1/Reporting/reports

Create a new report

Body parameters

Information about the new report

Expand All
object
reportName
string Required

The report name

reportDescription
string | null

The report description

reportAvailability
string Required
Valid values[ "Public", "Private" ]
reportType
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
permissions
Array of object (Configuration.Api.Models.v1.ReportResultPermission)

The report permissions

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
rights
Array of string (Configuration.Api.Models.v1.ReportRole)

The rights granted to the member

string
Valid values[ "ReportView", "ReportEdit", "ReportManagePermissions" ]
columns
Array of object (Configuration.Api.Models.v1.ReportResultColumn) Required

The report columns

object
columnName
string Required

The name of the column

sortindex
integer (int32) | null

The sort index of the column

sortDescending
boolean

Whether the column is sorted by descending values

filters
object (Configuration.Api.Models.v1.ReportResultFilterWrapper)
fieldFilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

The field filters of the report

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

relatedDataSetFilters
Array of object (Configuration.Api.Models.v1.ReportResultRelatedDataSetFilter)

The related data set filters of the report

object
relatedDataSet
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
linkedUsing
string
Valid values[ "AnyVersionOfThisTest", "CurrentVersionOfThisTest", "MatchingVersionOfTest", "PrimaryMetadataLinkOnTestDataset", "PrimaryMetadataLinkOnControlDataset", "RunByJob", "RunAsPartOfJobExecution", "CurrentVersionOfThisJob", "MatchingObject", "MatchingTable" ]
operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
subfilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

Subfilters of the related data set

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

subscriptions
Array of object (Configuration.Api.Models.v1.ReportResultSubscription)

The report subscriptions

object
name
string Required

The name of the subscription

recipients
Array of string

The recipients of the subscription

string
scheduleInfo
object (Configuration.Api.Models.v1.ScheduleDetail) Required
scheduleId
integer (int32) | null

The schedule ID

codeScheduleRecurrenceId
integer (int32)

The schedule recurrence ID

codeMonthlyRecurrenceId
integer (int32)

The monthly recurrence ID

scheduleRecurrence
string
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null

The start date

dateEnd
string (date-time) | null

The end date

monthlyAbsoluteRecurrenceInterval
integer (int32) | null

The monthly absolute recurrence interval

monthlyRelativeRecurrenceInterval
integer (int32) | null

The monthly relative recurrence interval

weeklyRecurrenceInterval
integer (int32) | null

The weekly recurrence interval

dailyRecurrenceInterval
integer (int32) | null

The daily recurrence interval

timeZoneKey
string | null

The time zone key of the schedule

timeStart
string (date-time) | null

The start time

timeEnd
string (date-time) | null

The ending time

timeOnce
string (date-time) | null

The time if the schedule only executes once

timeIntervalValue
integer (int32) | null

The time interval value

timeIntervalType
integer (int32)

The time interval type

daysOfWeek
string | null

The days of the week scheduled

dayOfMonth
integer (int32) | null

The day of the month scheduled

weekOfMonth
integer (int32) | null

The week of the month scheduled

dayOfWeek
integer (int32) | null

The day of the week scheduled

isEnabled
boolean

Whether the schedule is enabled

isActive
boolean

Whether the schedule is active

email
object (Configuration.Api.Models.v1.ReportResultSubscriptionEmail) Required
doNotSendIfReportIsEmpty
boolean

If true, the report is not sent if empty

reportFormat
string
Valid values[ "ExcelAttachment", "HtmlTable", "CsvAttachment" ]
emailSubject
string | null

The subject of the email

emailBody
string | null

The body of the email

Expand All
object
reportName
string Required

The report name

reportDescription
string | null

The report description

reportAvailability
string Required
Valid values[ "Public", "Private" ]
reportType
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
permissions
Array of object (Configuration.Api.Models.v1.ReportResultPermission)

The report permissions

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
rights
Array of string (Configuration.Api.Models.v1.ReportRole)

The rights granted to the member

string
Valid values[ "ReportView", "ReportEdit", "ReportManagePermissions" ]
columns
Array of object (Configuration.Api.Models.v1.ReportResultColumn) Required

The report columns

object
columnName
string Required

The name of the column

sortindex
integer (int32) | null

The sort index of the column

sortDescending
boolean

Whether the column is sorted by descending values

filters
object (Configuration.Api.Models.v1.ReportResultFilterWrapper)
fieldFilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

The field filters of the report

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

relatedDataSetFilters
Array of object (Configuration.Api.Models.v1.ReportResultRelatedDataSetFilter)

The related data set filters of the report

object
relatedDataSet
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
linkedUsing
string
Valid values[ "AnyVersionOfThisTest", "CurrentVersionOfThisTest", "MatchingVersionOfTest", "PrimaryMetadataLinkOnTestDataset", "PrimaryMetadataLinkOnControlDataset", "RunByJob", "RunAsPartOfJobExecution", "CurrentVersionOfThisJob", "MatchingObject", "MatchingTable" ]
operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
subfilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

Subfilters of the related data set

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

subscriptions
Array of object (Configuration.Api.Models.v1.ReportResultSubscription)

The report subscriptions

object
name
string Required

The name of the subscription

recipients
Array of string

The recipients of the subscription

string
scheduleInfo
object (Configuration.Api.Models.v1.ScheduleDetail) Required
scheduleId
integer (int32) | null

The schedule ID

codeScheduleRecurrenceId
integer (int32)

The schedule recurrence ID

codeMonthlyRecurrenceId
integer (int32)

The monthly recurrence ID

scheduleRecurrence
string
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null

The start date

dateEnd
string (date-time) | null

The end date

monthlyAbsoluteRecurrenceInterval
integer (int32) | null

The monthly absolute recurrence interval

monthlyRelativeRecurrenceInterval
integer (int32) | null

The monthly relative recurrence interval

weeklyRecurrenceInterval
integer (int32) | null

The weekly recurrence interval

dailyRecurrenceInterval
integer (int32) | null

The daily recurrence interval

timeZoneKey
string | null

The time zone key of the schedule

timeStart
string (date-time) | null

The start time

timeEnd
string (date-time) | null

The ending time

timeOnce
string (date-time) | null

The time if the schedule only executes once

timeIntervalValue
integer (int32) | null

The time interval value

timeIntervalType
integer (int32)

The time interval type

daysOfWeek
string | null

The days of the week scheduled

dayOfMonth
integer (int32) | null

The day of the month scheduled

weekOfMonth
integer (int32) | null

The week of the month scheduled

dayOfWeek
integer (int32) | null

The day of the week scheduled

isEnabled
boolean

Whether the schedule is enabled

isActive
boolean

Whether the schedule is active

email
object (Configuration.Api.Models.v1.ReportResultSubscriptionEmail) Required
doNotSendIfReportIsEmpty
boolean

If true, the report is not sent if empty

reportFormat
string
Valid values[ "ExcelAttachment", "HtmlTable", "CsvAttachment" ]
emailSubject
string | null

The subject of the email

emailBody
string | null

The body of the email

Expand All
object
reportName
string Required

The report name

reportDescription
string | null

The report description

reportAvailability
string Required
Valid values[ "Public", "Private" ]
reportType
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
permissions
Array of object (Configuration.Api.Models.v1.ReportResultPermission)

The report permissions

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
rights
Array of string (Configuration.Api.Models.v1.ReportRole)

The rights granted to the member

string
Valid values[ "ReportView", "ReportEdit", "ReportManagePermissions" ]
columns
Array of object (Configuration.Api.Models.v1.ReportResultColumn) Required

The report columns

object
columnName
string Required

The name of the column

sortindex
integer (int32) | null

The sort index of the column

sortDescending
boolean

Whether the column is sorted by descending values

filters
object (Configuration.Api.Models.v1.ReportResultFilterWrapper)
fieldFilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

The field filters of the report

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

relatedDataSetFilters
Array of object (Configuration.Api.Models.v1.ReportResultRelatedDataSetFilter)

The related data set filters of the report

object
relatedDataSet
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
linkedUsing
string
Valid values[ "AnyVersionOfThisTest", "CurrentVersionOfThisTest", "MatchingVersionOfTest", "PrimaryMetadataLinkOnTestDataset", "PrimaryMetadataLinkOnControlDataset", "RunByJob", "RunAsPartOfJobExecution", "CurrentVersionOfThisJob", "MatchingObject", "MatchingTable" ]
operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
subfilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

Subfilters of the related data set

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

subscriptions
Array of object (Configuration.Api.Models.v1.ReportResultSubscription)

The report subscriptions

object
name
string Required

The name of the subscription

recipients
Array of string

The recipients of the subscription

string
scheduleInfo
object (Configuration.Api.Models.v1.ScheduleDetail) Required
scheduleId
integer (int32) | null

The schedule ID

codeScheduleRecurrenceId
integer (int32)

The schedule recurrence ID

codeMonthlyRecurrenceId
integer (int32)

The monthly recurrence ID

scheduleRecurrence
string
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null

The start date

dateEnd
string (date-time) | null

The end date

monthlyAbsoluteRecurrenceInterval
integer (int32) | null

The monthly absolute recurrence interval

monthlyRelativeRecurrenceInterval
integer (int32) | null

The monthly relative recurrence interval

weeklyRecurrenceInterval
integer (int32) | null

The weekly recurrence interval

dailyRecurrenceInterval
integer (int32) | null

The daily recurrence interval

timeZoneKey
string | null

The time zone key of the schedule

timeStart
string (date-time) | null

The start time

timeEnd
string (date-time) | null

The ending time

timeOnce
string (date-time) | null

The time if the schedule only executes once

timeIntervalValue
integer (int32) | null

The time interval value

timeIntervalType
integer (int32)

The time interval type

daysOfWeek
string | null

The days of the week scheduled

dayOfMonth
integer (int32) | null

The day of the month scheduled

weekOfMonth
integer (int32) | null

The week of the month scheduled

dayOfWeek
integer (int32) | null

The day of the week scheduled

isEnabled
boolean

Whether the schedule is enabled

isActive
boolean

Whether the schedule is active

email
object (Configuration.Api.Models.v1.ReportResultSubscriptionEmail) Required
doNotSendIfReportIsEmpty
boolean

If true, the report is not sent if empty

reportFormat
string
Valid values[ "ExcelAttachment", "HtmlTable", "CsvAttachment" ]
emailSubject
string | null

The subject of the email

emailBody
string | null

The body of the email

Expand All
object
reportName
string Required

The report name

reportDescription
string | null

The report description

reportAvailability
string Required
Valid values[ "Public", "Private" ]
reportType
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
permissions
Array of object (Configuration.Api.Models.v1.ReportResultPermission)

The report permissions

object
type
string Required
Valid values[ "User", "Group" ]
name
string Required
Min length1
rights
Array of string (Configuration.Api.Models.v1.ReportRole)

The rights granted to the member

string
Valid values[ "ReportView", "ReportEdit", "ReportManagePermissions" ]
columns
Array of object (Configuration.Api.Models.v1.ReportResultColumn) Required

The report columns

object
columnName
string Required

The name of the column

sortindex
integer (int32) | null

The sort index of the column

sortDescending
boolean

Whether the column is sorted by descending values

filters
object (Configuration.Api.Models.v1.ReportResultFilterWrapper)
fieldFilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

The field filters of the report

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

relatedDataSetFilters
Array of object (Configuration.Api.Models.v1.ReportResultRelatedDataSetFilter)

The related data set filters of the report

object
relatedDataSet
string Required
Valid values[ "Tableau", "JobExecutions", "TestExecutions", "EventHistory", "Tests", "TestProperties", "Jobs", "JobProperties", "MetadataObjects", "MetadataObjectProperties", "ProfileResults", "Columns", "TemplateTestExecutions" ]
linkedUsing
string
Valid values[ "AnyVersionOfThisTest", "CurrentVersionOfThisTest", "MatchingVersionOfTest", "PrimaryMetadataLinkOnTestDataset", "PrimaryMetadataLinkOnControlDataset", "RunByJob", "RunAsPartOfJobExecution", "CurrentVersionOfThisJob", "MatchingObject", "MatchingTable" ]
operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
subfilters
Array of object (Configuration.Api.Models.v1.ReportResultFilter)

Subfilters of the related data set

object
field
string Required

The filter field

operator
string
Valid values[ "Equals", "DoesNotEqual", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual", "On", "After", "Before", "OnOrAfter", "OnOrBefore", "Is", "IsNot", "LastXDays", "InFilteredDataset", "NotInFilteredDataset", "LastXHours", "LastXMinutes", "IsBlank", "IsNotBlank", "IsNull", "IsNotNull" ]
criteria
string | null

The filter criteria

subscriptions
Array of object (Configuration.Api.Models.v1.ReportResultSubscription)

The report subscriptions

object
name
string Required

The name of the subscription

recipients
Array of string

The recipients of the subscription

string
scheduleInfo
object (Configuration.Api.Models.v1.ScheduleDetail) Required
scheduleId
integer (int32) | null

The schedule ID

codeScheduleRecurrenceId
integer (int32)

The schedule recurrence ID

codeMonthlyRecurrenceId
integer (int32)

The monthly recurrence ID

scheduleRecurrence
string
Valid values[ "Daily", "Weekly", "Monthly" ]
monthlyRecurrence
string
Valid values[ "Absolute", "Relative" ]
dateStart
string (date-time) | null

The start date

dateEnd
string (date-time) | null

The end date

monthlyAbsoluteRecurrenceInterval
integer (int32) | null

The monthly absolute recurrence interval

monthlyRelativeRecurrenceInterval
integer (int32) | null

The monthly relative recurrence interval

weeklyRecurrenceInterval
integer (int32) | null

The weekly recurrence interval

dailyRecurrenceInterval
integer (int32) | null

The daily recurrence interval

timeZoneKey
string | null

The time zone key of the schedule

timeStart
string (date-time) | null

The start time

timeEnd
string (date-time) | null

The ending time

timeOnce
string (date-time) | null

The time if the schedule only executes once

timeIntervalValue
integer (int32) | null

The time interval value

timeIntervalType
integer (int32)

The time interval type

daysOfWeek
string | null

The days of the week scheduled

dayOfMonth
integer (int32) | null

The day of the month scheduled

weekOfMonth
integer (int32) | null

The week of the month scheduled

dayOfWeek
integer (int32) | null

The day of the week scheduled

isEnabled
boolean

Whether the schedule is enabled

isActive
boolean

Whether the schedule is active

email
object (Configuration.Api.Models.v1.ReportResultSubscriptionEmail) Required
doNotSendIfReportIsEmpty
boolean

If true, the report is not sent if empty

reportFormat
string
Valid values[ "ExcelAttachment", "HtmlTable", "CsvAttachment" ]
emailSubject
string | null

The subject of the email

emailBody
string | null

The body of the email

Responses
200

OK

object
id
integer (int32)

The ID of the added report

name
string | null

The name of the added report

400

Bad Request

object
errors
Array of string
string